NODECACHEFILEREADER(1)

NAME
nodecachefilereader - utility to inspect osm2pgsql's node cache.

SYNOPSIS
nodecachefilereader /path/to/node.cache
nodecachefilereader /path/to/node.cache node_id1 node_id2 node_id3
nodecachefilereader /path/to/node.cache node_id1,node_id2,node_id3

DESCRIPTION
This manual page documents briefly the nodecachefilereader command.

nodecachefilereader allows you to inspect and test osm2pgsql's custom node database.

OPTIONS
If only the filename of the node cache is given, nodecachefilereader performs some basic diagnostics on the node cache, as well as give some basic benchmark results on how quickly it can lookup nodes by id

If one or more node_ids are given, nodecachefilereader retrieves the information stored (latitude / longitude) about those nodes in the database

SEE ALSO
osm2pgsql(1),

AUTHOR
nodecachefilereader was written by Kai Krueger and other OpenStreetMap project members.